Core Resources
Store
The store endpoint includes ReCharge settings and other store specific information.
6 additions in V2, marked New
Everything marked New also works when you send X-Recharge-Version: 2021-11.
#The store object
The store endpoint includes Recharge settings and other store specific information.
Attributes
- idintegerUnique number identifier of the store.
- Whether customers are allowed to skip a delivery in the customer portal (
1) or not (0). - checkout_logo_urlstringCheckout logo url.
- checkout_platformstringCheckout platform.Possible values
rechargeshopify - Domain of the store on the external platform.
- The store's domain as registered with Recharge.
- Domain of the store's storefront.
- Whether subscriptions are enabled for the store.
- Whether the store is in test mode. Currently always returned as
falseby this endpoint. - created_atdatetimeDate and time when the store is created.
- currencystringCurrency of the store.Related guides: Supported currencies
- customer_portal_base_urlstringCustomer Portal Base URL.
- default_api_versionstringDefault API version.
- emailstringE-mail address of the store owner.
- Enabled currencies the store sells in.
- enabled_presentment_currencies_symbolsarray of objectsCurrency symbol used for enabled currencies the store sells in.
- A ledger of currencies that the store no longer sells in. If a currency is present in both the enabled_presentment_currencies and disabled_currencies_historical ledger it is because it was disabled at one point in time but is now enabled.
- external_platformstringExternal platform connected to Recharge.Possible values
big_commerceheadlessmagentoshopifyWill be one ofshopify,big_commerce,headless, ormagento - identifierstringUnique identifier of the store on the external platform.
- merchant_portal_base_urlstringMerchant portal base URL.
- namestringName of the store.
- phonestringPhone number of the store owner.
- timezoneobjectTimezone of the store.
- updated_atdatetimeThe date and time when the address was last updated.
- weight_unitstringWeight unit for the store.
{
"store": {
"id": 89559201,
"allow_customers_to_skip_delivery": 1,
"checkout_logo_url": null,
"checkout_platform": "recharge",
"created_at": "2020-07-15T00:00:00+00:00",
"currency": "USD",
"customer_portal_base_url": null,
"default_api_version": "2021-01",
"email": "email@email.com",
"external_platform": "shopify",
"external_platform_domain": "store-id.myshopify.com",
"identifier": "store-id",
"merchant_portal_base_url": null,
"name": "store-name",
"phone": "5555555555",
"enabled_presentment_currencies": [
"USD"
],
"enabled_presentment_currencies_symbols": [
{
"currency": "USD",
"location": "before",
"suffix": "",
"symbol": "$"
}
],
"disabled_currencies_historical": [],
"platform_domain": "store-id.myshopify.com",
"storefront_domain": "shop.store-name.com",
"subscriptions_enabled": true,
"test_mode": false,
"timezone": {
"iana_name": "America/New_York",
"name": "(GMT-05:00) Eastern Time (US & Canada)"
},
"updated_at": "2020-07-15T00:00:00+00:00",
"weight_unit": "g"
}
}#Retrieve a store
GET/store
Retrieve store details.
Scopes
read_storestore_infoEither the
read_store or the store_info scope is sufficient.curl 'https://api.rechargeapps.com/store' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"store": {
"id": 4797,
"allow_customers_to_skip_delivery": 1,
"checkout_logo_url": null,
"checkout_platform": "recharge",
"created_at": "2020-04-22T00:20:52+00:00",
"currency": "USD",
"customer_portal_base_url": null,
"default_api_version": "2021-01",
"email": "email@email.com",
"enabled_presentment_currencies": [
"USD"
],
"enabled_presentment_currencies_symbols": [
{
"currency": "USD",
"location": "before",
"suffix": "",
"symbol": "$"
}
],
"disabled_currencies_historical": [],
"external_platform": "custom",
"external_platform_domain": "store-id.myshopify.com",
"identifier": "store-id",
"merchant_portal_base_url": null,
"name": "store-name",
"platform_domain": "store-id.myshopify.com",
"province": "Connecticut",
"phone": "5555555555",
"storefront_domain": "shop.store-name.com",
"subscriptions_enabled": true,
"test_mode": false,
"timezone": {
"iana_name": "America/New_York",
"name": "(GMT-05:00) Eastern Time (US & Canada)"
},
"updated_at": "2020-04-25T00:20:52+00:00",
"weight_unit": "g"
}
}